Bug 752842 - Reserve static uid/gids for OpenStack packages - quantum and keystone
Reserve static uid/gids for OpenStack packages - quantum and keystone
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-10 10:26 EST by Bob Kukura
Modified: 2014-02-27 18:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-11 07:44:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Kukura 2011-11-10 10:26:13 EST
Similar to the other OpenStack services covered in bug #732442, the quantum (package: openstack-quantum, home: /var/lib/quantum) and keystone (package: openstack-keystone, home: /var/lib/keystone) services need unique static system UIDs and GIDs. Quantum is OpenStack's virtual networking service, and keystone is its authorization service. Both of these are network-facing.

Current OpenStack passwd entries:

glance:x:161:161:OpenStack Glance Daemons:/var/lib/glance:/sbin/nologin
nova:x:162:162:OpenStack Nova Daemons:/var/lib/nova:/sbin/nologin
swift:x:160:160:OpenStack Swift Daemons:/var/lib/swift:/sbin/nologin
keystone:x:990:983:OpenStack Keystone Daemons:/var/lib/keystone:/sbin/nologin
quantum:x:989:982:OpenStack Quantum Daemons:/var/lib/quantum:/sbin/nologin

The openstack-keystone package is currently in F16 and rawhide, and the openstack-quantum package is about to be added to F16 and rawhide.

Thanks,

-Bob
Comment 1 Ondrej Vasik 2011-11-11 07:44:14 EST
Reserved in upstream git (future rawhide...) - feel free to use it.

* Fri Nov 11 2011 Ondrej Vasik <ovasik@redhat.com> 2.8.43-1
- reserve 163:163 for keystone (openstack-keystone) - #752842
- reserve 164:164 for quantum (openstack-quantum) - #752842

Note You need to log in before you can comment on or make changes to this bug.